:root {
    --main-color: #5a5d61;
    --placeholder-color: #d1d1d1;
    --color-primary: #00d1e7;
    --color-primary-hover: #00b8cb;
    --head-color: #0a3341;
    --back-color: #e6e7e7;
    --input-padding: 10px 14px;
    --input-background: #00000003;
    --input-border-color: #b8b8b8;
}

@font-face {
    font-family: 'Montserrat';
    src:url(../../fonts/Montserrat/Montserrat-VariableFont_wght.ttf);
    font-weight: normal;
    font-style: normal;
}


html, body {
	padding: 0;
	margin: 0;
	height: 100%;
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
	color: var(--main-color);
	line-height: 150%;
}


* {
	box-sizing: border-box;
}



a, a:visited, .a {
	text-decoration: none;
	cursor: pointer;
	color: var(--color-primary);
}
.a {
	color: var(--color-primary) !important;
}
a:hover, .a:hover, .a_grey:hover {
	/*text-decoration: underline;*/
}

.a_text {
	color: var(--main-color) !important;
}

.a_grey, .a_grey_red, .c_grey {
	color: #c9c9c9 !important;
	cursor: pointer;
}
@media (hover: hover) {
	.a_grey:hover {
		color: var(--color-primary) !important;
	}
	.a_grey_red:hover {
		color: red !important;
	}
}

._ {
	border-bottom: 1px dashed var(--color-primary);
}
@media (hover: hover) {
	._:hover {
		border-bottom: 1px solid var(--color-primary);
	}
}


h1, h2, h3 {
	padding: 0;
	/*margin: 0 0 20px 0;*/
	margin: 0;
	line-height: 120%;
}


label {
	font-size: 14px;
}

.input, .textarea, .select {
	font-family: 'Montserrat', sans-serif;
	font-size: 15px;
	color: var(--main-color);
	padding: var(--input-padding);
	background-color: var(--input-background);
	outline: none;
	border: none;
    border-radius: 3px;
	/*box-shadow: inset 0 1px 2px #0000001a;*/
    border: 1px solid var(--input-border-color);
    max-width: 100%;
}
.input, .select {
	height: 43px;
}
.input:focus, .textarea:focus {
	background-color: #effeff !important;
}
.textarea {
	resize: vertical;
	min-height: 41px;
	field-sizing: content;
	max-height: 200px;
  	overflow-y: auto; 
}
.input:disabled, .textarea:disabled {
	background-color: #00000017;
}


.etable-wrap input, .etable-wrap select {
	font-family: 'Montserrat', sans-serif;
}
.etable-page-select {
    background-color: var(--color-primary);
}


.btn {
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
	color: white;
	text-align: center;
	cursor: pointer;
	border-radius: 3px;
	padding: var(--input-padding);
	border: none;
    border-radius: 3px;
    box-shadow: inset rgb(0 0 0 / 4%) -1px -1px 2px, inset 1px 1px 1px rgb(255 255 255 / 15%);
    background: var(--color-primary);
    position: relative;
    overflow: hidden;
}
.btn_mini {
	padding: 5px 10px !important;
	font-size: 14px;
}
.btn-secondary { background-color: #919191; }
.btn-danger { background-color: #f74f4f; }
@media (hover: hover) {
	.btn:hover, [class^=btn-]:hover {
		text-shadow: 0 0 10px white;
	}
}
.btn[disabled] {
	opacity: .3;
	cursor: default !important;
}
@media (hover: hover) {
	.btn[disabled]:hover {
		font-weight: 400 !important;
	}
}


.btn .flare {
    position: absolute;
    top: 0;
    height: 100%;
    width: 65px;
    transform: skewX(-45deg);
    animation: flareAnimation;
    left: -150%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.7));
    animation: flareAnimation 10s infinite linear;
}

@keyframes flareAnimation {
    0% {
        left: -350%;
    }
    100% {
        left: 5000%;
    }
}




::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color: var(--placeholder-color);
}
:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color: var(--placeholder-color);
   opacity:  1;
}
::-moz-placeholder { /* Mozilla Firefox 19+ */
    color: var(--placeholder-color);
   opacity:  1;
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: var(--placeholder-color);
}
::-ms-input-placeholder { /* Microsoft Edge */
    color: var(--placeholder-color);
}
::placeholder { /* Most modern browsers support this now. */
    color: var(--placeholder-color);
}





.selectize-control:focus-within .selectize-input {
	background-color: #effeff !important;
}

.selectize-input {
	height: 43px;
	line-height: 150%;
    padding: 10px 30px 10px 14px;
    background-color: #00000003 !important;
    background-image: none !important;
    box-shadow: none !important;
    /*box-shadow: inset 0 1px 1px #0000001a !important;*/
}
.selectize-control.single .selectize-input:not(.no-arrow):after {
    right: 10px;
}
.selectize-dropdown, .selectize-input, .selectize-input input {
	font-family: 'Montserrat', sans-serif;
	font-size: 15px;
	color: var(--main-color);
	padding: var(--input-padding);
	outline: none;
	border: none;
    border-radius: 3px;
    border: 1px solid #b8b8b8;
}
.selectize-dropdown .selected {
    background-color: var(--color-primary);
    color: #fff;
}
.selectize-control.multi .selectize-input [data-value], .selectize-control.multi .selectize-input [data-value].active {
    text-shadow: none;
    border-radius: 2px;
    background-color: var(--color-primary);
    background-image: linear-gradient(to bottom, var(--color-primary), var(--color-primary));
    background-repeat: repeat-x;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.2), inset 0 1px rgba(255, 255, 255, 0.03);
}
.selectize-control.multi .selectize-input>div, .selectize-control.multi .selectize-input>div.active {
    cursor: pointer;
    margin: 0 3px 3px 0;
    padding: 2px 10px;
    background: #1da7ee;
    color: #fff;
    border: none;
}
.selectize-control.plugin-remove_button .item .remove, .selectize-control.plugin-remove_button .item.active .remove {
    color: inherit;
    text-decoration: none;
    vertical-align: middle;
    display: inline-block;
    padding: 2px 6px;
    border-left: 1px solid #ffffff42;
    border-radius: 0 2px 2px 0;
    box-sizing: border-box;
    margin-left: 10px;
    font-size: 20px;
}




.resizable-panel::after {
	content: '';
	position: absolute;
	right: 0;
	top: 0;
	width: 0; /* Толщина ручки */
	height: 100%;
	cursor: col-resize;
	z-index: 10;
}



.myModal {
	top: 0;
	left: 0;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #9d9d9d3d;
	background-color: #00000061;
	/*backdrop-filter: blur(2px);*/
	position: fixed;
	overflow-y: auto;
}
.myModalBlock {
	margin: 1.75rem auto;
	display: flex;
	flex-direction: column;
	width: 400px;
	min-width: 300px;
	max-width: calc(100% - 40px);
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);

/*	resize: horizontal;
	overflow: auto;*/
}
.myModalHead {
	display: flex;
	flex-direction: row;
	column-gap: 15px;
	padding: 12px 15px;
	font-size:18px;
	background: var(--head-color);
    color: white;
    border-radius: 4px 4px 0 0;
}
.myModalFoot {
	display: flex;
	flex-direction: row;
	column-gap: 15px;
	padding: 0 15px 15px;
	background-color: white;
	border-radius: 0 0 4px 4px;
}
.myModalBody {
	padding:15px;
	background-color: white;
}




.label2 {
	position: absolute;
	top: -7px;
	left: 11px;
	font-size: 12px;
	background-color: white;
	padding:0 5px;
	border-radius: 7px;
}


input[type=file] {
   opacity: 0;
   position: absolute;
   z-index: -1;
}


.badge-wrap {
	position: relative;
	display: none;
}
.badge-wrap .badge {
    display: block;
    background-color: var(--color-primary);
    width: 5px;
    height: 5px;
    border-radius: 100px;
    position: absolute;
    top: -4px;
    right: -2px;
    animation: pulse 2s infinite;
}
@-webkit-keyframes pulse {
	0% { box-shadow: 0 0 0 0 rgba(255, 175, 0, 0.8); }
	100% { box-shadow: 0 0 0 10px rgba(255, 175, 0, 0); }
}
@keyframes pulse {
	0% { box-shadow: 0 0 0 0 rgba(255, 175, 0, 0.8); }
	100% { box-shadow: 0 0 0 10px rgba(255, 175, 0, 0); }
}


.notify_paper {
	padding: 20px 20px;
	border: 2px dashed var(--color-primary);
}
.notify_paper_read {
	border: 2px dashed #cfcfcf;
}


.paper {
	background-color: white;
	border-radius: 3px;
	padding: clamp(0px, 4vw, 30px);
	box-shadow: 0 1px 3px #00000017;
	position: relative;
}


.headMenu .menuItem {
	color: white !important;
}
.menuItem {
	white-space: nowrap;
	color: var(--main-color) !important;
}


[class^=page_wing_] {
	flex-grow: 1;
}
.page_wing_left {
	background-image: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
}
.page_wing_right {
	background-image: linear-gradient(to left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
}


.title {
	font-size: 22px;
	font-weight: 600;
}


.col_grey {
	color: #a9a9a9;
}
.col_red {
	color: red !important;
}


#scroll_up {
	display: none;
	position: fixed;
	bottom: 20px;
	right: 20px;
	width: 35px;
	height: 35px;
	text-align: center;
	background-color: var(--color-primary);
	color: white;
	line-height: 35px;
	border-radius: 20px;
	z-index: 100;
	box-shadow: 0px 3px 5px #cfcfcf;
	cursor: pointer;
}


.grayscale {
	filter: grayscale(100%);
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
}




/*
.pluses_count {
	padding-top: 15px;
	padding-bottom: 15px;
}
.pluses_count_clone_wrap {
	position: fixed;
	width: 100%;
}
.pluses_count_clone {
	background: white;
	z-index: 1;
	padding-left: 15px;
	padding-right: 15px;
}
.pluses_count_clone_shadow {
    position: absolute;
    left: 0;
    bottom: 30px;
    width: 100%;
    height: 100%;
    box-shadow: 0 8px 8px rgba(0, 0, 0, 0.3);    
    border-radius: 100%;
    z-index: -1;
}

.pluses_count_mobile {
	position: fixed;
	width: 100%;
	left: 0;
	display: flex;
	flex-direction: row;
	column-gap: 15px;
	align-items: center;
	justify-content: center;
	font-size: 14px;
	padding: 7px 15px;
	background-color: white;
	opacity: 0;
	box-shadow: 0 2px 2px #0000003d;;
}
*/


.page_btn, .page_btn_num {
	position: relative;
	overflow: hidden;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	width: 35px;
	height: 35px;
	line-height: 35px;
	cursor: pointer;
	background-color: white;
	border-radius: 100px;
	box-shadow: 0 1px 3px #00000054;
}
.page_btn[word] {
	width: auto;
	padding: 0 15px;
}
.page_btn[active] {
	cursor: default;
}
.page_btn:hover {
	color: var(--color-primary);
}
.page_btn[active]:hover {
	color: var(--main-color);
}
.page_btn[next] {
	background-color: var(--color-primary);
	color: white;
}
.page_btn[next]:hover {
	background-color: var(--color-primary-hover);
	color: white;
}
.page_btn[prev]:hover {
	background-color: var(--color-primary-hover);
	color: white;
}
.page_btn[disabled] {
	background-color: #d0d0d0;
	color: white;
	cursor: default;
	box-shadow: none;
	backdrop-filter: blur(2px);
}
.page_btn[disabled]:hover {
	background-color: #d0d0d0;
	color: white;
	cursor: default;
}


.elem_add_btn, .block_add_btn {
	padding: 10px 0 0;
	text-align: center;
	font-size: 14px;
}


.elem_wrap {
	position: relative;
	padding: 15px;
	border: 1px solid white;
}
.elem_more, .elem_move {
	display: flex;
	opacity: 0;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	position: absolute;
	height: 100%;
	width: 60px;
	top: 0;
}
.elem_move {
	left: -60px;
}
.elem_more {
	right: -60px;
}
.elem_error {
	background-color: #ffeded;
	border-radius: 3px;
}
.elem_wrap img {
	max-width: 100%;
}



.block_menu {
	max-width: 100%;
	width: 100%;
	position: absolute;
	opacity: 0;
	height: 0px;
	bottom: 25px;
	left:0;
}
.block_more, .block_move {
	position: absolute;
	width: 30px;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}
.block_more {
	right: -30px;
}
.block_move {
	left: -30px;
}


.selectize-dropdown {  /* Дропдаун */
	padding: 0;
}



.breadcrumb {
	display: flex;
	flex-direction: row;
	gap: 8px;
	flex-wrap: wrap;
	font-size: 13px;
	padding: 10px;
	background-color: var(--back-color);
	border-bottom: 1px solid #00000012;
}




.ql-editor {
	font-family: 'Montserrat', sans-serif;
	font-size: 16px;
	padding: var(--input-padding);
}
.ql-tooltip {
	z-index: 1;
}
.ql-toolbar {
	border-color: #b8b8b8;
    border-radius: 3px 3px 0 0;
}
.ql-container {
	border-color: #b8b8b8;
    border-radius: 0 0 3px 3px;
}
.ql-toolbar-hidden .ql-toolbar {
    opacity: 0 !important;
    height: 0 !important;
    overflow: hidden !important;
    padding: 0 !important;
    border: none !important;
    margin: 0 !important;
}
.ql-toolbar-hidden .ql-container {
    border: 1px solid #b8b8b8;
    border-top: 1px solid #b8b8b8 !important;
    border-radius: 3px;
}
.ql-editor.ql-blank::before {
    color: var(--placeholder-color);
    font-style: normal;
    opacity: 1;
}



.page_dots {
	display: flex;
	flex-wrap: nowrap; /* строго один ряд */
	overflow: hidden; /* скрыть лишние */
	gap: 5px;
	height: 40px; /* фиксированная высота */
	justify-content: flex-start;
	max-width: 700px;
}
.page_dot {
	flex: 0 0 10px; /* фиксированный размер 20px, не растягивается */
	height: 10px;
	background: #ccc;
	border-radius: 50%;
	box-shadow: inset 1px 1px 2px grey;
}





.checkbox-ios {
	display: inline-block;    
	height: 20px;
	line-height: 20px;
	position: relative;
	vertical-align: middle;
	font-size: 14px;
	user-select: none;	
}
.checkbox-ios .checkbox-ios-switch {
	position: relative;	
	display: inline-block;
	box-sizing: border-box;			
	width: 40px;	
	height: 20px;
	border: 1px solid rgba(0, 0, 0, .1);
	border-radius: 25%/50%;	
	vertical-align: top;
	background: #0000000d;
	transition: .2s;
}
.checkbox-ios .checkbox-ios-switch:before {
	content: '';
	position: absolute;
	top: 1px;
	left: 1px;	
	display: inline-block;
	width: 16px;	
	height: 16px;
	border-radius: 50%;
	background: white;
	box-shadow: 0 1px 4px rgba(0, 0, 0, .3);
	transition: .15s;
}
.checkbox-ios input[type=checkbox] {
	display: block;	
	width: 0;
	height: 0;	
	position: absolute;
	z-index: -1;
	opacity: 0;
}
.checkbox-ios input[type=checkbox]:not(:disabled):active + .checkbox-ios-switch:before {
	box-shadow: inset 0 0 2px rgba(0, 0, 0, .3);
}
.checkbox-ios input[type=checkbox]:checked + .checkbox-ios-switch {
	background: var(--color-primary);
}
.checkbox-ios input[type=checkbox]:checked + .checkbox-ios-switch:before {
	transform:translateX(20px);
}
 
/* Hover */
.checkbox-ios input[type="checkbox"]:not(:disabled) + .checkbox-ios-switch {
	cursor: pointer;
	border-color: var(--input-border-color);
}
 
/* Disabled */
.checkbox-ios input[type=checkbox]:disabled + .checkbox-ios-switch {
	filter: grayscale(70%);
	border-color: rgba(0, 0, 0, .1);
}
.checkbox-ios input[type=checkbox]:disabled + .checkbox-ios-switch:before {
	background: #eee;
}
 
/* Focus */
.checkbox-ios.focused .checkbox-ios-switch:before {
	box-shadow: inset 0px 0px 4px #ff5623;
}





/* Отключаем стандартный стиль чекбокса */
.checkbox-input, .radio-input {
    appearance: none;
    -webkit-appearance: none; /* для поддержки в Safari */
}
/* Стилизация чекбокса */
.checkbox-input, .radio-input {
    appearance: none;
    width: 20px;
    min-width: 20px;
    height: 20px;
    border: 1px solid var(--input-border-color);
    border-radius: 3px;
    background-color: var(--input-background);
    cursor: pointer;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    margin: 0;
}
.radio-input {
    width: 22px;
    height: 22px;
    border-radius: 50%;
}
/* Оформление состояния checked */
.checkbox-input:checked, .radio-input:checked {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
}
/* Эффект нажатия */
.checkbox-input:active, .radio-input:active {
    filter: brightness(90%);
}

/* Смена цвета границы при наведении */
.checkbox-input:hover:not(:disabled), .radio-input:hover:not(:disabled) {
    border-color: var(--color-primary);
}

/* Стили для чекбокса при фокусе */
/*.checkbox-input:focus {
    border-color: #0d6efd;
    outline: none;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}*/

/* Отключенный чекбокс */
.checkbox-input:disabled, .radio-input:disabled {
    filter: none;
    opacity: 0.5;
    cursor: not-allowed;
}

.checkbox-input:disabled ~ .checkbox-label, .radio-input:disabled ~ .checkbox-label {
    opacity: 0.5;
    cursor: not-allowed;
}

.checkbox-item {
	display: flex;
	flex-direction: row;
	gap: 10px;
	align-items: center;
}



.no-transition {
	transition: none !important;
}



/* Ширина > 400px */
@media (min-width: 501px) {
	.wide {
		display: block;
	}
	.nowide {
		display: none;
	}
}
/* Ширина ≤ 400px */
@media (max-width: 500px) {
	.wide {
		display: none;
	}
	.nowide {
		display: block;
	}
}




div:not([disabled]) > .flare {
    position: absolute;
    top: 0;
    height: 100%;
    width: 65px;
    transform: skewX(-45deg);
    animation: flareAnimation;
    left: -150%;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.7));
    animation: flareAnimation 10s infinite linear;
}
@keyframes flareAnimation {
    0% {
        left: -350%;
    }
    100% {
        left: 5000%;
    }
}



#anketa {
	display: flex;
	flex-grow: 1;
}


#anketa_wrap {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	gap: 15px;
	position: relative;
	max-width:100%;
	padding-bottom:100px;
}